from distutils.core import setup

version = open('VERSION').read().strip()

setup(name="webXcreta",
    version=version,
    description="",
    author="Duncan McGreggor",
    author_email="duncan@adytum.us",
    url="http://projects.adytum.us/tracs/webXcreta",
    license="BSD",
    long_description='''
    ''',
    packages=[
        'webxcreta',
    ],
    data_files=[
        ('var', ['var/webxcreta_cfdist.pkl']),
    ],
    scripts = ['bin/generateEntry.py'],
    classifiers = [f.strip() for f in """
    License :: OSI-Approved Open Source :: BSD License
    Development Status :: 4 - Beta
    Intended Audience :: Developers
    Intended Audience :: by End-User Class :: Advanced End Users
    Programming Language :: Python
    Topic :: System :: Systems Administration
    Operating System :: Grouping and Descriptive Categories :: All POSIX (Linux/BSD/UNIX-like OSes)
    """.splitlines() if f.strip()],

)
