from doctest import DocFileSuite

from utils import buildDoctestSuite


# to add a new module to the test runner, simply include is in the list below:
modules = [
    'webxcreta.base',
    'webxcreta.data',
    'webxcreta.utils',
]

suite = [DocFileSuite("../README")]
if modules:
    suite.append(buildDoctestSuite(modules))

if __name__ == '__main__':
    import unittest
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(unittest.TestSuite(suite))

